package org.jssec.android.webview.safebrowsing;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.webkit.SafeBrowsingResponse;
import android.webkit.WebResourceRequest;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Toast;

public class MyWebViewClient extends WebViewClient {

    // Safe Browsing機能が有効化された状態で安全でないWebページにアクセスするとCallbackされる
    @Override
    public void onSafeBrowsingHit(WebView view, WebResourceRequest request,
                                  int threatType, SafeBrowsingResponse callback) {
        // 警告ページは表示せず安全なページに戻す
        callback.backToSafety(true);
        Toast.makeText(view.getContext(), "アクセスしようとしたWebページはマルウェアサイトの疑いがあるため、安全なページに戻ります。", Toast.LENGTH_LONG).show();
    }
}
